Subject: 23.0.91; Hang with psvn.el

From: David Abrahams <[email-masked]>
Date: Mon, 23 Mar 2009 09:59:13 -0400

Please write in English if possible, because the Emacs maintainers
usually do not have translators to read other languages for them.

Your bug report will be posted to the [email-masked] mailing list.

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug:

I have a subversion working copy that, when visited with `M-x
svn-status', if I do `U', Emacs hangs.  `ps waux | grep svn' in the
shell shows that no subversion process is running.

I'm using psvn.el 34661 2008-12-10 19:42:22Z xsteve

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
If you would like to further debug the crash, please read the file
/Applications/Emacs.app/Contents/Resources/etc/DEBUG for instructions.

In GNU Emacs 23.0.91.1 (i386-apple-darwin9.6.0, NS apple-appkit-949.43)
 of 2009-03-05 on black.local
Windowing system distributor `Apple', version 10.3.949
configured using `configure  '--with-ns''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: nil
  value of $XMODIFIERS: nil
  locale-coding-system: nil
  default-enable-multibyte-characters: t

Major mode: Lisp Interaction

Minor modes in effect:
  show-paren-mode: t
  server-mode: t
  global-auto-revert-mode: t
  delete-selection-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
M-x r e p o r <tab> <return>

Recent messages:
Loading /Users/dave/elisp/custom...done
Loading /Users/dave/elisp/config.d/global-keybindings...done
Loading /Users/dave/elisp/config.d/mailcrypt-config...done
Loading /Users/dave/elisp/config.d/manual-autoloads...done
Loading /Users/dave/elisp/config.d/more-init...done
Loading /Users/dave/elisp/config.d/my-loaddefs...done
Loading /Users/dave/elisp/config.d/window-splitting...done
Loading /Users/dave/elisp/autoload.d/lisp-mode-setup...done
Loading /Users/dave/elisp/init.el (source)...done
For information about GNU Emacs and the GNU system, type C-h C-a.

-- 
Dave Abrahams
BoostPro Computing
http://www.boostpro.com